maybe chmod 0600 'aiccu.conf'
maybe chmod 0755 'alternatives'
maybe chmod 0644 'alternatives/README'
+maybe chmod 0644 'anacrontab'
maybe chmod 0755 'apache2'
maybe chmod 0644 'apache2/httpd.conf'
maybe chmod 0644 'apache2/magic'
maybe chmod 0660 'courier/authlib/authsqliterc.dist'
maybe chmod 0755 'cron.d'
maybe chmod 0644 'cron.d/.keep_sys-process_cronie-0'
+maybe chmod 0644 'cron.d/0hourly'
maybe chmod 0644 'cron.d/living'
maybe chmod 0644 'cron.d/sysstat'
maybe chmod 0750 'cron.daily'
maybe chmod 0644 'cron.deny'
maybe chmod 0750 'cron.hourly'
maybe chmod 0644 'cron.hourly/.keep_sys-process_cronbase-0'
+maybe chmod 0750 'cron.hourly/0anacron'
maybe chmod 0750 'cron.monthly'
maybe chmod 0644 'cron.monthly/.keep_sys-process_cronbase-0'
maybe chmod 0750 'cron.weekly'
--- /dev/null
+# /etc/anacrontab: configuration file for anacron
+
+# See anacron(8) and anacrontab(5) for details.
+
+SHELL=/bin/sh
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+MAILTO=root
+# the maximal random delay added to the base delay of the jobs
+RANDOM_DELAY=45
+# the jobs will be started during the following hours only
+START_HOURS_RANGE=3-22
+
+#period in days delay in minutes job-identifier command
+1 5 cron.daily nice run-parts /etc/cron.daily
+7 25 cron.weekly nice run-parts /etc/cron.weekly
+@monthly 45 cron.monthly nice run-parts /etc/cron.monthly
--- /dev/null
+# Run the hourly jobs
+SHELL=/bin/bash
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+MAILTO=root
+01 * * * * root run-parts /etc/cron.hourly
-# $Id$
# If for any reason you have users in the 'cron' group who should not
# be allowed to run crontab, add them to this file (one username per
# line)
--- /dev/null
+#!/bin/sh
+# Check whether 0anacron was run today already
+if test -r /var/spool/anacron/cron.daily; then
+ day=`cat /var/spool/anacron/cron.daily`
+fi
+if [ `date +%Y%m%d` = "$day" ]; then
+ exit 0;
+fi
+
+# Do not run jobs when on battery power
+if test -x /usr/bin/on_ac_power; then
+ /usr/bin/on_ac_power >/dev/null 2>&1
+ if test $? -eq 1; then
+ exit 0
+ fi
+fi
+/usr/sbin/anacron -s
-# for cronie
-# $Id$
-
# Global variables
SHELL=/bin/bash
PATH=/sbin:/bin:/usr/sbin:/usr/bin
MAILTO=root
HOME=/
-# check scripts in cron.hourly, cron.daily, cron.weekly and cron.monthly
-59 * * * * root rm -f /var/spool/cron/lastrun/cron.hourly
-9 3 * * * root rm -f /var/spool/cron/lastrun/cron.daily
-19 4 * * 6 root rm -f /var/spool/cron/lastrun/cron.weekly
-29 5 1 * * root rm -f /var/spool/cron/lastrun/cron.monthly
-*/10 * * * * root test -x /usr/sbin/run-crons && /usr/sbin/run-crons
+# For details see man 4 crontabs
+
+# Example of job definition:
+# .---------------- minute (0 - 59)
+# | .------------- hour (0 - 23)
+# | | .---------- day of month (1 - 31)
+# | | | .------- month (1 - 12) OR jan,feb,mar,apr ...
+# | | | | .---- day of week (0 - 6) (Sunday=0 or 7) OR sun,mon,tue,wed,thu,fri,sat
+# | | | | |
+# * * * * * user-name command to be executed
+
#!/sbin/openrc-run
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Id$
command="/usr/sbin/crond"
command_args="${CRONDARGS}"